Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.image_projects.delete(id="cuid-example")import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.imageProjects.delete({ id: "cuid-example" });package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
image_projects "github.com/magichourhq/magic-hour-go/resources/v1/image_projects"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
err := client.V1.ImageProjects.Delete(image_projects.DeleteRequest{
Id: "cuid-example",
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.image_projects()
.delete(magic_hour::resources::v1::image_projects::DeleteRequest {
id: "cuid-example".to_string(),
})
.await;curl --request DELETE \
--url https://api.magichour.ai/v1/image-projects/id \
--header 'accept: application/json' \
--header 'authorization: Bearer <token>'
{
"code": "invalid_request",
"message": "<string>"
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "insufficient_credits",
"message": "<string>"
}{
"code": "not_found",
"message": "<string>"
}{
"code": "internal_server_error",
"message": "<string>"
}Image Projects
Delete image
Permanently delete the rendered image(s). This action is not reversible, please be sure before deleting.
DELETE
/
v1
/
image-projects
/
{id}
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("API_TOKEN"))
res = client.v1.image_projects.delete(id="cuid-example")import { Client } from "magic-hour";
const client = new Client({ token: process.env["API_TOKEN"]!! });
const res = await client.v1.imageProjects.delete({ id: "cuid-example" });package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
image_projects "github.com/magichourhq/magic-hour-go/resources/v1/image_projects"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("API_TOKEN")),
)
err := client.V1.ImageProjects.Delete(image_projects.DeleteRequest{
Id: "cuid-example",
})
}let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("API_TOKEN").unwrap());
let res = client
.v1()
.image_projects()
.delete(magic_hour::resources::v1::image_projects::DeleteRequest {
id: "cuid-example".to_string(),
})
.await;Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
Path Parameters
Unique ID of the image project. This value is returned by all of the POST APIs that create an image.
Example:
"cuid-example"
Response
204
Was this page helpful?